[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: DO NOT REMOVE the lib packages after updates



* Josselin Mouette (joss@debian.org) [040712 18:25]:
> On lun, 2004-07-12 at 17:12 +0200, Eduard Bloch wrote:
> > So now, Takuo, please listen and speak after me: WE DO NOT REMOVE
> > PACKAGES WHEN OTHERS DEPEND ON THEM. There is simply no reason, the
> > archive works fine if there are two versions of libgtkhtml-dev, just the
> > newer one is used. You do NOT need to remove them. If you feel that it
> > is neccessary, do at least contact the users of your package
> > (grep-available -F Depends libgtkhtml | grep Maintainer | sort -u) and
> > tell them about what you are going to do.
 
> Are you asking to have a new source package at each SONAME change?
> Except in some rare cases (e.g. libpng), that's a very bad idea.

A new source package is not required. You can just provide more binary
packages for a transition time from one source package.


Cheers,
Andi
-- 
   http://home.arcor.de/andreas-barth/
   PGP 1024/89FB5CE5  DC F1 85 6D A6 45 9C 0F  3B BE F1 D0 C5 D1 D9 0C



Reply to: